package org.josast.util.date;

/**
 * 
 * <b>Description : julian day with Y2000 reference</b> 
 * 
 * 
 * <p>Projet : JOSAST <BR>
 * 
 * 
 * <p>for more information contact <a href="mailto:josast@avmdti.org">josast@avmdti.org</a></p>
 * @author  <a href="mailto:mercier.josast@avmdti.org">mercier</a>
 * @version 1.0
 * <p><b><i> Source Update </b></i></p>
 * <br> Version : date 		: name 		: comments 
 * <br> V1      : 1 avr. 2005	: C. Mercier 	: create file
 * <p>
 * @deprecated since 1 1 2005
 * 
 */

public class JulianDay2000 {

    private JulianDay2000  () {};
    
    //~ Methods -----------------------------------------------------------

    /**
     *  
     * @see JulianDay#convertToJulianDay2000(int annee, int mois, int jour,int heure, int minute, int seconde)
     */
    public static double getTime(int year, int month, int day, int hours,
            int minutes, int secondes) {
        int d = ((367 * year) - ((7 * (year + ((month + 9) / 12))) / 4)
                + ((275 * month) / 9) + day) - 730530;

        return (d + ((hours + (minutes / 60.0) + (secondes / 3600.0)) / 24.0));
    }
}